# DirectoryReport

API Documentation: | `DirectoryReport`

Note: This class is incubating and may change in a future version of Gradle.

A directory based report to be created.

### Properties

Property | Description
`entryPoint` | Incubating The entry point of a directory based Report This can be the index.html file in a HTML report

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `entryPoint` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The entry point of a directory based Report This can be the index.html file in a HTML report